<?php

	$numOfCols = 4;
	$rowCount = 0;
	$bootstrapColWidth = 12 / $numOfCols;

?>

<!DOCTYPE html>

<html lang="pt-br">

	<head>

		<title>Painel de Monitoramento Elemidia</title>
		<meta charset="utf-8">
		<link rel="icon" href="favicon.ico"/>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
		<script src="https://kit.fontawesome.com/0c150fd24c.js"></script>
		<link rel="stylesheet" type="text/css" href="style.css"/>

		<script type="text/javascript">

			function updateDiv()
				{
					<?php

					// Feed Scala

					$feed = file_get_contents('feedscala.json');
					$feedScala = json_decode($feed, true);

					// Feed 4yousee

					$feed = file_get_contents('feed4yousee.json');
					$feed4yousee = json_decode($feed, true);

					// Feed Elemídia
					
					$feed = file_get_contents('feedelemidia.json');
					$feedElemidia = json_decode($feed, true);

					?>

					$( "#update" ).load(window.location.href + " #update" );
					//alert('Reload executado');

				}

			var interval = setInterval(function(){
				updateDiv();
			}, 60000);

		</script>

	</head>

	<body>

		<div class="container-fluid" id="update" style="background-color:transparent;padding:0px;">
			<div class="row">
				<div class="col-md-12" style="padding:0px;">
				    <h1>Combo Monitoramento</h1>
				    <p style="display:block;">v3.5</p>		
				</div>
			</div>

		  	<div class="row">

				<?php
	
				echo '<div class="col-md-4 text-center">';
				echo '<h2>Elemídia</h2>';			

				foreach ($feedElemidia as $item) {

					echo '<div class="boxponto text-left"><p>'.$item.'<i class="fas fa-exclamation-circle"></i></p></div>';

				}

				

				echo '</div><div class="col-md-4 text-center">';
				echo '<h2>4yousee</h2>';

				foreach ($feed4yousee as $item) {

					echo '<div class="boxponto text-left"><p>'.$item.'<i class="fas fa-exclamation-circle"></i></p></div>';

				}

				echo '</div><div class="col-md-4 text-center">';
				echo '<h2>Scala</h2>';

				foreach ($feedScala as $item) {

					echo '<div class="boxponto text-left"><p>'.$item.'<i class="fas fa-exclamation-circle"></i></p></div>';

				}

				echo '</div>';

				//Cria uma nova linha quando o número de colunas excede o limite
				$rowCount++;
				if($rowCount % $numOfCols == 0) echo '</div><div class="row">';

				?>

		  	</div>

		</div>

	</body>

</html>