<?php
	require_once('feeds.php');
	
	$numOfCols = 4;
	$rowCount = 0;
	$bootstrapColWidth = 12 / $numOfCols;

?>

<!DOCTYPE html>

<html lang="pt-br">

	<head>

		<title>Painel de Monitoramento</title>
		<meta charset="utf-8">
		<link rel="icon" href="favicon.ico"/>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
		<script src="https://kit.fontawesome.com/0c150fd24c.js"></script>
		<link rel="stylesheet" type="text/css" href="stylez.css"/>

		<script type="text/javascript">

			function updateDiv()
				{
					<?php

					// Feed Scala

					$feed = file_get_contents('feedscala.json');
					$feedScala = json_decode($feed, true);

					// Feed 4yousee

					$feed = file_get_contents('feed4yousee.json');
					$feed4yousee = json_decode($feed, true);

					// Feed Elemídia
					
					$feed = file_get_contents('feedeletromidia.json');
					$feedElemidia = json_decode($feed, true);

					?>

					$( "#update" ).load(window.location.href + " #update" );
					//alert('Reload executado');

				}

			var interval = setInterval(function(){
				updateDiv();
			}, 60000);


		</script>

	</head>

	<body>

		<div class="container-fluid" id="update" style="background-color:transparent;padding:0px;">
			<div class="row">
				<div class="col-md-12" style="padding:0px;">

					<h1 style="color:red;"> <?php echo 'Totais Offline: '.(count($feed4yousee) + count($feedElemidia) + count($feedScala));  ?></h1>
				<br>
				</div>
			</div>
		  	<div class="row">

				<?php
				
				echo '<div  class="col-md-4 text-center">';
				echo '<h2>Eletromídia<img class="logo" src="logo-eletromidia.png" ></h2> ';			
				if (count($feedElemidia) >= 2){
					echo '<p style="color:red;"><strong>Pontos offline<strong>:</p>'.count($feedElemidia);
					}
				else{
					echo '<p style="color:red;"><strong>Ponto offline<strong>: </p>'.count($feedElemidia);
					}
				foreach ($feedElemidia as $item) {

					echo '<div id="elemidia" class="boxponto text-left"><p class="eletromidia" style="text-transform: capitalize;">'.$item.'<img class="offlogo" src="offline-ico.png" style="width:7%;"></p></div>';

				}

				echo '</div><div class="col-md-4 text-center">';
				echo '<h2>4yousee <img class="logo" src="logo-4yousee.jpg" ></h2>';
				if (count($feed4yousee) >= 2){
					echo '<p style="color:red;"><strong>Pontos offline<strong>: </p>'.count($feed4yousee);
					}
				else{
					echo '<p style="color:red;"><strong>Ponto offline<strong>: </p>'.count($feed4yousee);
					}

				foreach ($feed4yousee as $item) {
					
					echo '<div id="yousee" class="boxponto text-left"><p class="4yousee"; style="text-transform: capitalize;">'.$item.'<img class="offlogo" src="offline-ico.png" style="width:7%;"></p></div>';

				}

				echo '</div><div class="col-md-4 text-center">';
				echo '<h2>Scala<img class="logo" src="logo-scala.png"></h2>';
				if (count($feedScala) >= 2){

					echo '<p style="color:red;"><strong>Pontos offline<strong>: </p>'.count($feedScala);
					}
				else{
					echo '<p style="color:red;"<strong>Ponto offline<strong>: </p>'.count($feedScala);
					}
				
				foreach ($feedScala as $item) {
					
					$data = explode( '||', $item );
					$len_str = count($data);

					if ($len_str == 2){
					echo '<div id="scala" class="boxponto text-left style="border:2px solid black; ">
							<div id="commented-line">
							<p class="scala" style="text-transform: capitalize; text-align:center;">'.$data[0].'<img class="offlogo" src="offline-ico.png" style="width:7%;"></p></div><ul style="color:white;font-size:12px;padding:2px; margin:-2px;"><li>
							
					'.$data[1].'</li></ul></div>'
					;}
					else{
					echo '<div id="scala" class="boxponto text-left "><p class="scala" style="text-transform: capitalize; text-align:center;">'.$item.'<img class="offlogo" src="offline-ico.png" style="width:7%;"></p></div>
					'
					;}
					}

				

				echo '</div>';

				//Cria uma nova linha quando o número de colunas excede o limite
				$rowCount++;
				if($rowCount % $numOfCols == 0) echo '</div><div class="row">';

				?>

		  	</div>

		</div>

	</body>

</html>